Manuel PHP
Précédent |  | Suivant

# xml_parser_get_option

(PHP 3 >= 3.0.6, PHP 4, PHP 5)

xml_parser_get_option -- Lit les options d'un analyseur XML

## Description

mixed xml_parser_get_option ( resource parser, int option )

parser

  Une référence sur un analyseur XML valide.

option

  L'option demandée. `XML_OPTION_CASE_FOLDING` et `XML_OPTION_TARGET_ENCODING` sont disponibles. Reportez-vous à xml_parser_set_option() pour leurs descriptions.

xml_parser_get_option() retourne `FALSE` si parser n'est pas un parseur valide ou si option n'est pas valide (genère aussi un `E_WARNING`). Sinon, elle retourne la valeur de l'option demandée.

Précédent | Sommaire | Suivant
xml_parser_free | Niveau supérieur | xml_parser_set_option